Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class AnimationProperty

    java.lang.Object
      com.eltima.chart.AnimationProperty

All Implemented Interfaces:
  java.io.Serializable

    public class AnimationProperty

extends java.lang.Object
implements java.io.Serializable

The AnimationProperty class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`int` | `length` Number of animation steps.
`int` | `startStep` Animation start step.
`int` | `type` Animation type (TYPE_APPEAR the default).
`static int` | `TYPE_APPEAR`
`static int` | `TYPE_SLIDE_BOTTOM`
`static int` | `TYPE_SLIDE_LEFT`
`static int` | `TYPE_SLIDE_RIGHT`
`static int` | `TYPE_SLIDE_TOP`

Constructor Summary
`AnimationProperty(int startStep, int length, int type)` Creates new instance of AnimationProperty with specified start step, length and type.

Method Summary
`double` | `getScaleX()` Returns the X scale.
`double` | `getScaleY()` Returns the Y scale.
`double` | `getShearX()` Returns the X shear.
`double` | `getShearY()` Returns the Y shear.
`double` | `getTheta()` Returns the theta.
`void` | `setScaleX(double scale)` Sets the X scale.
`void` | `setScaleY(double scale)` Sets the Y scale.
`void` | `setShearX(double shearX)` Sets the X shear.
`void` | `setShearY(double shearY)` Sets the Y shear.
`void` | `setTheta(double theta)` Sets the theta.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_APPEAR

    public static final int TYPE_APPEAR

See Also:
  Constant Field Values

### TYPE_SLIDE_LEFT

    public static final int TYPE_SLIDE_LEFT

See Also:
  Constant Field Values

### TYPE_SLIDE_RIGHT

    public static final int TYPE_SLIDE_RIGHT

See Also:
  Constant Field Values

### TYPE_SLIDE_TOP

    public static final int TYPE_SLIDE_TOP

See Also:
  Constant Field Values

### TYPE_SLIDE_BOTTOM

    public static final int TYPE_SLIDE_BOTTOM

See Also:
  Constant Field Values

### type

    public int type

  Animation type (TYPE_APPEAR the default).

### startStep

    public int startStep

  Animation start step.

### length

    public int length

  Number of animation steps.

Constructor Detail

### AnimationProperty

    public AnimationProperty(int startStep,
                             int length,
                             int type)

  Creates new instance of AnimationProperty with specified start step, length and type.

  Parameters:
    `startStep` - int
    `length` - int
    `type` - int

Method Detail

### getScaleX

    public double getScaleX()

  Returns the X scale.

  Returns:
    double

### setScaleX

    public void setScaleX(double scale)

  Sets the X scale.

  Parameters:
    `scale` - double

### getScaleY

    public double getScaleY()

  Returns the Y scale.

  Returns:
    double

### setScaleY

    public void setScaleY(double scale)

  Sets the Y scale.

  Parameters:
    `scale` - double

### getTheta

    public double getTheta()

  Returns the theta.

  Returns:
    double

### setTheta

    public void setTheta(double theta)

  Sets the theta.

  Parameters:
    `theta` - double

### getShearX

    public double getShearX()

  Returns the X shear.

  Returns:
    double

### getShearY

    public double getShearY()

  Returns the Y shear.

  Returns:
    double

### setShearX

    public void setShearX(double shearX)

  Sets the X shear.

  Parameters:
    `shearX` - double

### setShearY

    public void setShearY(double shearY)

  Sets the Y shear.

  Parameters:
    `shearY` - double

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.